Package org.mariadb.jdbc.codec.list

## Class ZonedDateTimeCodec

- java.lang.Object
- - org.mariadb.jdbc.codec.list.ZonedDateTimeCodec

All Implemented Interfaces:
  `Codec<ZonedDateTime>`

    public class ZonedDateTimeCodec
    extends Object
    implements Codec<ZonedDateTime>

### Field Summary

Fields
`static ZonedDateTimeCodec` `INSTANCE`

### Constructor Summary

Constructors
`ZonedDateTimeCodec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canDecode​(ColumnDefinitionPacket column, Class<?> type)`
`boolean` `canEncode​(Object value)`
`String` `className()`
`ZonedDateTime` `decodeBinary​(org.mariadb.jdbc.client.ReadableByteBuf buf, int length, ColumnDefinitionPacket column, Calendar calParam)`
`ZonedDateTime` `decodeText​(org.mariadb.jdbc.client.ReadableByteBuf buf, int length, ColumnDefinitionPacket column, Calendar calParam)`
`void` `encodeBinary​(PacketWriter encoder, Object value, Calendar calParam, Long maxLength)`
`void` `encodeText​(PacketWriter encoder, Context context, Object val, Calendar calParam, Long maxLen)`
`int` `getBinaryEncodeType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.plugin.Codec

`canEncodeLongData, encodeData, encodeLongData`

### Field Detail

#### INSTANCE

    public static final ZonedDateTimeCodec INSTANCE

### Constructor Detail

#### ZonedDateTimeCodec

    public ZonedDateTimeCodec()

### Method Detail

#### className

    public String className()

Specified by:
  `className` in interface `Codec<ZonedDateTime>`

#### canDecode

    public boolean canDecode​(ColumnDefinitionPacket column,
                             Class<?> type)

Specified by:
  `canDecode` in interface `Codec<ZonedDateTime>`

#### canEncode

    public boolean canEncode​(Object value)

Specified by:
  `canEncode` in interface `Codec<ZonedDateTime>`

#### decodeText

    public ZonedDateTime decodeText​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                                    int length,
                                    ColumnDefinitionPacket column,
                                    Calendar calParam)
                             throws SQLDataException

Specified by:
  `decodeText` in interface `Codec<ZonedDateTime>`
Throws:
  `SQLDataException`

#### decodeBinary

    public ZonedDateTime decodeBinary​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                                      int length,
                                      ColumnDefinitionPacket column,
                                      Calendar calParam)
                               throws SQLDataException

Specified by:
  `decodeBinary` in interface `Codec<ZonedDateTime>`
Throws:
  `SQLDataException`

#### encodeText

    public void encodeText​(PacketWriter encoder,
                           Context context,
                           Object val,
                           Calendar calParam,
                           Long maxLen)
                    throws IOException

Specified by:
  `encodeText` in interface `Codec<ZonedDateTime>`
Throws:
  `IOException`

#### encodeBinary

    public void encodeBinary​(PacketWriter encoder,
                             Object value,
                             Calendar calParam,
                             Long maxLength)
                      throws IOException

Specified by:
  `encodeBinary` in interface `Codec<ZonedDateTime>`
Throws:
  `IOException`

#### getBinaryEncodeType

    public int getBinaryEncodeType()

Specified by:
  `getBinaryEncodeType` in interface `Codec<ZonedDateTime>`